| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | Static Public Member Functions | List of all members
Digikam::EditorToolIface Class Reference
Inheritance diagram for Digikam::EditorToolIface:

## Public Slots
void | slotApplyTool ()
void | slotCloseTool ()
void | slotToolAborted ()
void | slotToolApplied ()

## Signals
void | signalPreviewModeChanged ()

## Public Member Functions
| EditorToolIface (EditorWindow *const editor)
EditorTool * | currentTool () const
void | loadTool (EditorTool *const tool)
void | setPreviewModeMask (int mask)
void | setToolInfoMessage (const QString &txt)
void | setToolProgress (int progress)
void | setToolsIconView (DCategorizedView *const view)
void | setToolStartProgress (const QString &toolName)
void | setToolStopProgress ()
void | setupICC ()
void | themeChanged ()
void | unLoadTool ()
void | updateExposureSettings ()
void | updateICCSettings ()

## Static Public Member Functions
static EditorToolIface * | editorToolIface ()